/* fedosova-elizaveta_110_todo-list_V1.js */

let izveletaPriorit = "Vidēja";													// default

document.querySelectorAll("#prioritates a").forEach(item => {					// katram <a> iekš <id="prioritates">
    item.onclick = function (e) {												// nospiežot <a>, izpilda funkciju, izmantojot e notikuma objektu
        e.preventDefault();														// neļauj <a> pārlādēt lapu vai aiziet uz linku
        izveletaPrioritate = this.dataset.value;								// this - izvēlētais <a>, dataset.value - paņem data-value no HTML
    };
});

function Pievienosana() {
    const saraksts = document.getElementById("task-list");          			// ul vērtība
    const sarakstElem = document.createElement('li');               			// izveido saraksta elementu
    const teksts = document.getElementById('teksts');               			// ievadlauka vērtība
	
    sarakstElem.classList.add("list-group-item", "justify-content-between");	// pievieno saraksta elementam klases
	
	const prioritate = izveletaPrioritate;
	
	const prioritIndikator = document.createElement('span');
	prioritIndikator.textContent = prioritate + " ";
	
	const checkb = document.createElement('input');
	checkb.type = "checkbox";													// izveido logu
	
	checkb.onclick = function () {
    if (checkb.checked) {
        tekstsSpan.classList.add("izsvitrots");
        tekstsSpan.style.opacity = "0.5";
    }
	else {
		tekstsSpan.classList.remove("izsvitrots");
        tekstsSpan.style.opacity = "1";
    }
	};
	
    const tekstsSpan = document.createElement('span');							// pievieno saraksta elementam lauku tekstam
    tekstsSpan.textContent = " " + teksts.value + " ";                   		// pievieno saraksta elementam ievadlauka vērtību
	
    const dzest = document.createElement('button');                 			// izveido pogu
    dzest.classList.add("btn", "btn-outline-danger");							// pievieno pogai klases
    dzest.innerText = "Dzēst";                                      			// pievieno pogai nosaukumu
	
    dzest.onclick = function Dzesana() {
        sarakstElem.remove();
    };
	
    sarakstElem.appendChild(prioritIndikator);                      			// pievieno sarakstam prioritātes indikatoru
	sarakstElem.appendChild(checkb);
	sarakstElem.appendChild(tekstsSpan);
    sarakstElem.appendChild(dzest);                                 			// pievieno saraksta elementam pogu "Dzēst"
	saraksts.appendChild(sarakstElem);                              			// pievieno sarakstam saraksta elementu
	
    teksts.value = "";
}
